<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html dir=rtl>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1256">
<title>شريط العشر مواضيع</title>



<style>
<!--
A:link {text-decoration: none ; color : #FFEAEC}
A:visited {text-decoration: none ; color : #FFEAEC}
A:active {text-decoration: none ; color : #D27476}
A:hover {text-decoration: underline ; color : #D27476}
//-->
</style>


<script language='JavaScript'>
<!--

function stopError() {
return true;
}

window.onerror = stopError;

// -->
</script>


</head>
<body bgcolor="#ffffff" background="images\Difficult-Solution\etarat/body1.jpg" text="#000000" id="all" rightmargin="0" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="#000020" vlink="#000020" alink="#000020">


<?
require("last10config.php");
require("includes/config.php");
echo "<FONT color=$tc ><marquee dir=\"rtl\" direction=\"right\" scrolldelay=\"200\">";
$db=mysql_connect($servername,$dbusername,$dbpassword) or die("Can't open connection to MySQL");
mysql_select_db($dbname) or die("Can't select database");
$hfs = $fs+2;
$fs .= "pt";
$hfs .= "pt";
// the base WHERE statement
$wheresql = "WHERE thread.lastposter=user.username AND thread.open!='10'";
// we can't have both the last 24 hours *and* the last 7 days, so error out if needed
if ($last24 == "1" && $last7 == "1") {
	print("Error: \$last24 and \$last7 are both set to 1. Please change one of them to 0.");
	exit;
}
// otherwise we're gonna find out which one it is
// last 24
if ($last24 == "1") {
	$time = time()-86400;
	$wheresql .= " AND thread.lastpost>'$time'";
}
// last 7
if ($last7 == "1") {
	$time = time()-604800;
	$wheresql .= " AND thread.lastpost>'$time'";
}
// are we trying to exclude *and* include forums? if so, error out
if ($excludeforums != "" && $includeforums != "") {
	print("Error: \$includeforums and \$excludeforums are both set with numbers. Please remove the numbers from <b>one</b> of these two to proceed.");
	exit;
}
// otherwise figure out which one we're using
// include forums
if ($includeforums == "" or $includeforums <= "0") {
	$quarter = "no";
} else {
	$incfid = explode(",",$includeforums); $i = 0; $a = count($incfid);
	if ($a > 1) {
		$wheresql .= " AND (thread.forumid='$incfid[0]'";
		++$i;
		while ($i < $a) {
			$wheresql .= " OR thread.forumid='$incfid[$i]'"; ++$i;
		}
		$wheresql .= ")";
	} else {
		$wheresql .= " AND thread.forumid='$incfid[$i]'";
	}
}
// or exclude forums
if ($excludeforums == "" or $excludeforums <= "0") {
	$quarter = "no";
} else {
	$excfid = explode(",",$excludeforums); $i = 0; $a = count($excfid);
	while ($i < $a) {
		$wheresql .= " AND thread.forumid!='$excfid[$i]'";	++$i;
	}
}

// ooh a query!
$query = "SELECT thread.lastpost,thread.title,thread.lastposter,thread.replycount,thread.views,user.userid,thread.threadid,thread.forumid,thread.iconid FROM thread,user$ftitle $wheresql ORDER BY thread.$ob $obdir LIMIT $maxthreads";
// let's get the info
$tr = mysql_query($query) or die("MySQL reported this error while trying to retreive the info: ".mysql_error());
$dtf = mysql_query("SELECT value FROM setting WHERE varname='dateformat' OR varname='timeformat' OR varname='timeoffset' ORDER BY varname");
$df = mysql_result($dtf,0,0);
$tf = mysql_result($dtf,1,0);
$tof = mysql_result($dtf,2,0);


// let's display the info
while ($threads = mysql_fetch_array($tr)) {

	echo " <FONT SIZE=\"2\" FACE=\"ms sans serif,arial,verdana,helvetica\"><a href=\"$url/showthread.php?=$session[sessionhash]&threadid=$threads[threadid]&goto=newpost\" title=\"$threads[title]\" target=_blank>$threads[title]  [ أخر تعليق : $threads[lastposter] ]  &nbsp &nbsp &nbsp</a>   &nbsp &nbsp</font>";
}
// close it all up
// bye!

?></marquee>


